


/* Style page d'accueil */
body{
  display: flex;
  flex-direction: column;
  height: 100%;
}


.container {
  display: flex;
  height: 100vh !important;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


  .landing__page {
    display: flex;
    height: 100% !important;
    align-items: center;
    justify-content: center;
  }
  
  .title__main {
    width: 100%;
    font-size: 1rem;
    font-weight: bold;
    margin-bottom: 2rem;
  
  }


  
  .title__h2 {
    width: 100%;
    font-size: 3rem;
    color: #7fbe97;
    animation: fadeIn 2s ease-out;
    text-align: center;
  }
  
  .paragraph__main {
    display: flex;
    text-align: center;
    width: 100%;
    max-width: 60%;
    font-size: 1.5rem;
    line-height: 3rem;
    margin-top: 1.5rem;
    margin-bottom: 2rem;
  }
  
  .presentation__main {
    width: 80%;
    display: flex;
    flex-direction: column;
    width: auto;
    justify-content: center !important;
    align-items: center !important;
    text-align: center;
   
  }
  

  
  
  
  .photo__item {
    width: 180px;
    height: 180px;
    border-radius: 50%;
    border: 0.1px solid #7fbe97; /* Couleur orangée */
    box-shadow: 0 0 30px 6px rgba(90, 158, 116, 0.8); /* Initiale */
    animation: pulse-and-scale 3s infinite ease-in-out; /* Une seule animation */
    transition: transform 0.3s ease, box-shadow 0.3s ease; /* Transition pour hover */
    justify-self: center !important;
    align-self: center !important;
  }

  



  @media screen and (max-width: 768px) {

    .landing__page{
        position: relative;
        width: 100%;
        min-height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .presentation__main {
      padding: 2rem;
   
     
    }

    .title__main {
        margin-top: 1rem;
        width: 100%;

    }

   

    
    .photo__item{
        display: none !important;

    }

    .paragraph__main{

      font-size: 1rem;
      line-height: 1.5rem;




    }

    .btn__download{
      display: flex;
      align-self: center;
      
  }

  

  }


  /* Animation de l'effet de lueur progressive */
@keyframes sun-glow {
    0% {
      box-shadow: 0 0 30px 10px rgba(90, 158, 116, 0.8), 
                  0 0 60px 20px rgba(90, 158, 116, 0.8);
    }
    50% {
      box-shadow: 0 0 40px 15px rgba(90, 158, 116, 0.8), 
                  0 0 80px 30px rgba(90, 158, 116, 0.8);
    }
    100% {
      box-shadow: 0 0 30px 10px rgba(90, 158, 116, 0.8), 
                  0 0 60px 20px rgba(90, 158, 116, 0.8);
    }
  }
  
  @keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  
  @keyframes pulse-and-scale {
    0%, 100% {
      box-shadow: 0 0 30px 6px rgba(90, 158, 116, 0.8);
      transform: scale(1); /* Taille normale */
    }
    50% {
      box-shadow: 0 0 40px 10px rgba(90, 158, 116, 0.8);
      transform: scale(1.05); /* Légère augmentation */
    }
  }
  